# Uses of Enum Class
javax.swing.SortOrder

Packages that use SortOrder
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of SortOrder in javax.swing

Subclasses with type arguments of type SortOrder in javax.swing
Modifier and Type
Class
Description
`enum`
`SortOrder`
SortOrder is an enumeration of the possible sort orderings.
Methods in javax.swing that return SortOrder
Modifier and Type
Method
Description
`final SortOrder`
RowSorter.SortKey.`getSortOrder()`
Returns the sort order of the column.
`static SortOrder`
SortOrder.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SortOrder[]`
SortOrder.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in javax.swing with parameters of type SortOrder
Modifier
Constructor
Description
``
`SortKey(int column, SortOrder sortOrder)`
Creates a `SortKey` for the specified column with the specified sort order.